API Docs
YMS API
Appointment/Level 1
POST Create a New Appointment

POST Create a New Appointment

Introduction

Creates a new appointment in the Yard Management System (YMS) for scheduled equipment visits. This endpoint is used when carriers or customers need to book time slots for inbound deliveries, outbound pickups, or combined operations. Supports both single-action appointments (inbound only or outbound only) and dual-action appointments (drop-and-hook operations). The system validates appointment time availability, customer access, and carrier permissions before confirming the booking.

API Request

POST /appointment/create

Body Request Parameters

{
  "appointmentTime": "string",
  "carrierId": "string",
  "customerIds": [
    "string"
  ],
  "inboundAction": {
    "appointmentType": "INBOUND",
    "serviceType": "string",
    "appointmentTime": "string",
    "referenceIds": [
      "string"
    ],
    "customerIds": [
      "string"
    ]
  },
  "outboundAction": {
    "appointmentType": "string",
    "serviceType": "string",
    "appointmentTime": "string",
    "referenceIds": [
      "string"
    ],
    "customerIds": [
      "string"
    ]
  },
  "appointmentType": "INBOUND",
  "notes": "string",
  "operator": "CARRIER"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» appointmentTimebodystringYesScheduled appointment time
» carrierIdbodystringYesCarrier identifier
» customerIdsbody[string]NoList of customer identifiers
» inboundActionbodyobjectNoInbound action details, only present when appointmentType is INBOUND or BOTH
»» appointmentTypebodystringYesType of appointment action
»» serviceTypebodystringYesService type for the action (Live Delivery \ Drop Off Delivery)
»» appointmentTimebodystringNoScheduled time for the action
»» referenceIdsbody[string]NoList of receipts number
»» customerIdsbody[string]NoList of customer identifiers
» outboundActionbodyobjectNoOutbound action details, only present when appointmentType is OUTBOUND or BOTH
»» appointmentTypebodystringYesType of appointment action
»» serviceTypebodystringYesService type for the action (Live Load \ Pickup Preload)
»» appointmentTimebodystringNoScheduled time for the action
»» referenceIdsbody[string]NoList of loads number
»» customerIdsbody[string]NoList of customer identifiers
» appointmentTypebodystringYesAppointment type
» notesbodystringNoNote or remarks for the appointment
» operatorbodystringNoOperator who creates the appointment (carrier, customer, or internal). Not persisted to database.

Enum Values

PropertyValue
»» appointmentTypeINBOUND
»» appointmentTypeOUTBOUND
»» appointmentTypeBOTH
» appointmentTypeINBOUND
» appointmentTypeOUTBOUND
» appointmentTypeBOTH
» operatorCARRIER
» operatorCUSTOMER
» operatorINTERNAL

Response Example

200 Response

{
    "code": 0,
    "msg": "",
    "success": false,
    "data": {
        "id": 0,
        "appointmentId": "",
        "appointmentType": "",
        "carrierId": "",
        "carrierName": "",
        "finalCarrierId": "",
        "subCarrierName": "",
        "appointmentTime": "",
        "appointmentStatus": "",
        "customerIds": [
            ""
        ],
        "externalId": 0,
        "entryId": "",
        "referenceCode": "",
        "driverId": "",
        "createdTime": "",
        "createdBy": "",
        "updatedTime": "",
        "updatedBy": "",
        "customerNames": [
            ""
        ],
        "appointmentActionViews": [
            {
                "id": 0,
                "appointmentId": "",
                "appointmentType": "",
                "serviceType": "",
                "appointmentTime": "",
                "referenceIds": [
                    ""
                ],
                "createdTime": "",
                "createdBy": "",
                "updatedTime": "",
                "updatedBy": "",
                "loadViews": [
                    {
                        "id": "",
                        "loadId": "",
                        "loadStatus": "",
                        "loadNo": "",
                        "shipMethod": "",
                        "carrierId": "",
                        "appointmentTime": "",
                        "appointmentId": "",
                        "orderIds": [
                            ""
                        ],
                        "customerId": "",
                        "masterBol": "",
                        "sealNo": "",
                        "customerName": "",
                        "carrierName": "",
                        "orderViews": [
                            {
                                "id": 0,
                                "orderId": "",
                                "orderStatus": "",
                                "customerId": "",
                                "poNo": "",
                                "referenceNo": "",
                                "retailer": "",
                                "shipFrom": "",
                                "shipTo": "",
                                "totalPalletQty": 0,
                                "totalCartonQty": 0,
                                "itemInfos": [
                                    {
                                        "itemId": "",
                                        "itemName": "",
                                        "itemQty": "",
                                        "palletQty": "",
                                        "itemSpecDesc": "",
                                        "itemSpecName": "",
                                        "uomId": "",
                                        "qty": ""
                                    }
                                ],
                                "customerName": "",
                                "carrierName": "",
                                "shipToAddress": {
                                    "id": "",
                                    "name": "",
                                    "country": "",
                                    "state": "",
                                    "city": "",
                                    "zipCode": "",
                                    "fax": "",
                                    "address1": "",
                                    "address2": "",
                                    "contact": "",
                                    "phone": "",
                                    "extension": "",
                                    "email": "",
                                    "orgId": "",
                                    "orgName": "",
                                    "referenceNo": "",
                                    "batchCode": "",
                                    "storeNo": "",
                                    "shorthand": "",
                                    "toHome": false,
                                    "tags": [
                                        ""
                                    ],
                                    "latitude": "",
                                    "longitude": "",
                                    "crmAddressId": ""
                                },
                                "shipFromAddress": {
                                    "id": "",
                                    "name": "",
                                    "country": "",
                                    "state": "",
                                    "city": "",
                                    "zipCode": "",
                                    "fax": "",
                                    "address1": "",
                                    "address2": "",
                                    "contact": "",
                                    "phone": "",
                                    "extension": "",
                                    "email": "",
                                    "orgId": "",
                                    "orgName": "",
                                    "referenceNo": "",
                                    "batchCode": "",
                                    "storeNo": "",
                                    "shorthand": "",
                                    "toHome": false,
                                    "tags": [
                                        ""
                                    ],
                                    "latitude": "",
                                    "longitude": "",
                                    "crmAddressId": ""
                                },
                                "appointmentTime": "",
                                "dynamicFieldValues": [
                                    {
                                        "entityId": "",
                                        "entityType": "",
                                        "fieldCode": "",
                                        "value": "",
                                        "fieldName": "",
                                        "longValue": "",
                                        "shortValue": ""
                                    }
                                ],
                                "proNos": [
                                    ""
                                ],
                                "invoicePros": [
                                    ""
                                ],
                                "doNos": [
                                    ""
                                ],
                                "tripNo": "",
                                "shippedTime": ""
                            }
                        ],
                        "dynamicFieldValues": [
                            {
                                "entityId": "",
                                "entityType": "",
                                "fieldCode": "",
                                "value": "",
                                "fieldName": "",
                                "longValue": "",
                                "shortValue": ""
                            }
                        ],
                        "equipmentType": "",
                        "equipmentNo": "",
                        "referenceNoList": [
                            ""
                        ],
                        "poNoList": [
                            ""
                        ],
                        "templateLoadKey": "",
                        "proNos": [
                            ""
                        ],
                        "invoicePros": [
                            ""
                        ],
                        "doNos": [
                            ""
                        ],
                        "tripNos": [
                            ""
                        ],
                        "loadType": "",
                        "stagingLocationName": "",
                        "shippedTime": ""
                    }
                ],
                "receiptViews": [
                    {
                        "id": 0,
                        "receiptId": "",
                        "receiptStatus": "",
                        "receiptType": "",
                        "poNo": "",
                        "carrierId": "",
                        "customerId": "",
                        "referenceNo": "",
                        "equipmentType": "",
                        "equipmentNo": "",
                        "totalPalletQty": 0,
                        "itemLines": [
                            {
                                "itemId": "",
                                "itemName": "",
                                "itemQty": "",
                                "palletQty": "",
                                "itemSpecDesc": "",
                                "itemSpecName": "",
                                "uomId": "",
                                "qty": ""
                            }
                        ],
                        "appointmentTime": "",
                        "appointmentId": "",
                        "sealNo": "",
                        "dataChannel": "",
                        "eventTime": "",
                        "extraData": "",
                        "carrierName": "",
                        "customerName": "",
                        "dynamicFieldValues": [
                            {
                                "entityId": "",
                                "entityType": "",
                                "fieldCode": "",
                                "value": "",
                                "fieldName": "",
                                "longValue": "",
                                "shortValue": ""
                            }
                        ],
                        "proNos": [
                            ""
                        ],
                        "invoicePros": [
                            ""
                        ],
                        "doNos": [
                            ""
                        ],
                        "tripNo": ""
                    }
                ]
            }
        ],
        "driverSnapshot": "",
        "driverSnapshotParse": {
            "driverId": "",
            "firstName": "",
            "middleName": "",
            "lastName": "",
            "driverPhone": "",
            "phone": "",
            "licenseNumber": "",
            "licenseExpirationDate": "",
            "licenseState": "",
            "email": "",
            "licensePlate": "",
            "carrierName": "",
            "carrierId": "",
            "usdot": "",
            "equipmentNo": "",
            "equipmentType": "",
            "cargoStatus": ""
        },
        "serviceTypes": [
            ""
        ],
        "checkedInTime": "",
        "carrierFinishTime": "",
        "driverFinishTime": "",
        "finalCarrierView": {
            "carrierId": "",
            "carrierName": "",
            "scac": [
                ""
            ],
            "usdot": "",
            "mcNumber": "",
            "verified": false,
            "createdTime": "",
            "createdBy": "",
            "updatedTime": "",
            "updatedBy": "",
            "carrierStatus": "",
            "knownName": "",
            "orgIds": [
                ""
            ]
        },
        "cargoStatus": "",
        "notes": ""
    }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRAppointmentView